Loading...
Searching...
No Matches
Gudhi::persistence_matrix::Entry_field_element< Field_element > Class Template Reference
Persistence Matrix

Class managing the value access of an entry. More...

`#include <include/gudhi/Persistence_matrix/columns/entry_types.h>`

## Public Member Functions

| Entry_field_element ()
| Default constructor. Sets to the element to 0.
| Entry_field_element (Field_element element)
| Stores the given element.
| Entry_field_element (const Entry_field_element &entry)
| Copy constructor.
| Entry_field_element (Entry_field_element &&entry) noexcept
| Move constructor.
Field_element & | get_element ()
| Returns the value stored in the entry.
const Field_element & | get_element () const
| Returns the value stored in the entry.
void | set_element (const Field_element &element)
| Sets the value.
Entry_field_element & | operator= (Entry_field_element other)
| Assign operator.

## Detailed Description

template<class Field_element>
class Gudhi::persistence_matrix::Entry_field_element< Field_element >

Class managing the value access of an entry.

Template Parameters

  Field_element | Type of an entry value.

## Constructor & Destructor Documentation

## Entry_field_element() [1/3]

template<class Field_element>

Gudhi::persistence_matrix::Entry_field_element< Field_element >::Entry_field_element | ( | Field_element | element | ) |

inline

Stores the given element.

Parameters

  element | Value to store.

## Entry_field_element() [2/3]

template<class Field_element>

Gudhi::persistence_matrix::Entry_field_element< Field_element >::Entry_field_element | ( | const Entry_field_element< Field_element > & | entry | ) |

inline

Copy constructor.

Parameters

  entry | Entry to copy.

## Entry_field_element() [3/3]

template<class Field_element>

Gudhi::persistence_matrix::Entry_field_element< Field_element >::Entry_field_element | ( | Entry_field_element< Field_element > && | entry | ) |

inline noexcept

Move constructor.

Parameters

  entry | Entry to move.

## Member Function Documentation

## get_element() [1/2]

template<class Field_element>

Field_element & Gudhi::persistence_matrix::Entry_field_element< Field_element >::get_element | ( |  | ) |

inline

Returns the value stored in the entry.

Returns
  Reference to the value of the entry.

## get_element() [2/2]

template<class Field_element>

const Field_element & Gudhi::persistence_matrix::Entry_field_element< Field_element >::get_element | ( |  | ) | const

inline

Returns the value stored in the entry.

Returns
  Const reference to the value of the entry.

## set_element()

template<class Field_element>

void Gudhi::persistence_matrix::Entry_field_element< Field_element >::set_element | ( | const Field_element & | element | ) |

inline

Sets the value.

Parameters

  element | Value to store.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_matrix/columns/entry_types.h